Skip to main content
DELETE
/
team-members
/
{team_member_id}
Remove team member
curl --request DELETE \
  --url https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id} \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
import requests

url = "https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id}"

headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};

fetch('https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "Team member not found"
}
{
"error": "Cannot remove the last admin of the workspace"
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

team_member_id
string
required

Id of the team member to remove. You can get team_member_id by listing all team members using our List all team members API.

Example:

"13c02be6-8bd4-4dda-b9e6-07df53feb8a4"

Response

No Content - Team member removed successfully